Ramp: Update a custom accounting field option — accounting put Custom Field Option Resource — request body — body
Update a custom accounting field option — accounting.putCustomFieldOptionResource: request body, field body. Complete fields and constraints for contract 2026-10-27.
API reference · Contract 2026-10-27
SDK schema: Update a custom accounting field option — accounting put Custom Field Option Resource — request body — body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
code | string | Optional | Only available if not using a direct ERP integration: Code of the custom accounting field option; you could provide an empty string to reset the code. |
display_name | string | Optional | Available to all: Update the display name of the custom field option. |
entity_remote_ids | JSON | Optional | |
entity_remote_ids (anyOf 1) | array | Alternative | Remote/external IDs of entities created through POST /developer/v1/accounting/entities that this custom field option should be available for. Pass null to reset the custom field option to all connected entities. Omit this field to leave entity scoping unchanged. Minimum items: 1 |
entity_remote_ids (anyOf 1)[] | string | Each item | Minimum length: 1 |
entity_remote_ids (anyOf 2) | null | Alternative | |
reactivate | boolean | Optional | Only available if not using a direct ERP integration: reactivate a deleted custom field option One of: true |
value | string | Optional | Only available if not using a direct ERP integration: Name of the custom accounting field option. |
visibility | string | Optional | Available to all: Hide or Show option One of: HIDDEN, VISIBLE |